<!DOCTYPE html>
<html>

<head>

    <title>Quick Start - Leaflet</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" type="image/x-icon" href="docs/images/favicon.ico" />

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css" integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
        crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js" integrity="sha512-GffPMF3RvMeYyc1LWMHtK8EbPv0iNZ8/oTtHPx9/cc2ILxQ+u905qIwdpULaqDkyBKgOaB57QTMg7ztg8Jm2Og=="
        crossorigin=""></script>
    <style>
        body {
            margin: 0;
        }
    </style>


</head>

<body>
    <div id="mapid" style="width: 100%; height: 100vh;"></div>
    <script>
        var center = [45.898685, 16.84217];
        var mymap = L.map('mapid').setView(center, 17);

        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
            maxZoom: 18,
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
                '<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
                'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            id: 'mapbox/streets-v11'
        }).addTo(mymap);

        //definiranje ikonica
        var university = L.icon({
            iconUrl: 'icons/university.png',
            iconSize: [32, 40],
            iconAnchor: [16, 40],
            popupAnchor: [0, -40]
        })


        //dodavanje markera https://leafletjs.com/reference-1.5.0.html#icon    
        var prvaZgrada = L.marker([45.89973, 16.84218], {
            icon: university,
            title: 'Prva zgrada'
        }).addTo(mymap).bindPopup("Prva zgrada");

        var drugaZgrada = L.marker([45.899723, 16.841494]).addTo(mymap).bindPopup("Druga zgrada");
        var menza = L.marker([45.897199, 16.843221]).addTo(mymap).bindPopup("Menza");
        var kolodvor = L.marker([45.894294, 16.844916]).addTo(mymap).bindPopup("Kolodvor");

        //dodavanje poligona https://leafletjs.com/reference-1.5.0.html#polygon
        var park = [[45.899588, 16.841923], [45.898894, 16.843489], [45.897811, 16.842535], [45.898491, 16.840968]];
        L.polygon(park).addTo(mymap).bindPopup('<img src="http://www.tzbbz.hr/images/uploads/746/bjelovar_20__watermark.jpg" style="width:300px;height:300px">');


        //dodavanje kruga https://leafletjs.com/reference-1.5.0.html#circle
        var birtije = [45.899305, 16.844047];
        L.circle(birtije,
            {
                radius: 50,
                color: '#ff0000',
                fillcolor: '#ff0000',
                fillOpacity: 0.3

            }).addTo(mymap);

        //dodavanje popup-u kad kliknem bilo gdje na mapu osim na koja imaju bind-ani popup
        var popup = L.popup();

        function onMapClick(e) {
            popup
                .setLatLng(e.latlng)
                .setContent(e.latlng.toString())
                .openOn(mymap);
        }
        mymap.on('click', onMapClick);

        var lokacija = center;
        if ("geolocation" in navigator) {
            navigator.geolocation.getCurrentPosition(function (position) {
                lokacija = [position.coords.latitude, position.coords.longitude];
                setLocation(lokacija);
            });
        } else {
            setLocation(lokacija);
            console.log("Nemate geolokaciju")
        }


        function setLocation(lokacija) {
            var pozicija = L.circle(lokacija,
                {
                    radius: 50,
                    color: '#00ff00',
                    fillcolor: '#00ff00',
                    fillOpacity: 0.3

                }).addTo(mymap);
            //grupiram određene markere https://leafletjs.com/reference-1.5.0.html#featuregroup
            var grupaStudenti = L.featureGroup([prvaZgrada, drugaZgrada, menza, kolodvor, pozicija]);
            mymap.fitBounds(grupaStudenti.getBounds(), {
                padding: [20, 20]
            });
        }        
    </script>



</body>

</html>